Synology-SA-18:39 DSM

Publish Time: 2018-07-30 10:29:39 UTC+8

Last Updated: 2019-04-01 01:21:05 UTC+8

Severity
Important
Status
Resolved

Abstract

A vulnerability allows man-in-the-middle attackers to obtain sensitive information via a susceptible version of Synology DiskStation Manager (DSM).

Affected Products

Product Severity Fixed Release Availability
DSM 6.2 Important Upgrade to 6.2-23739 or above.
DSM 6.1 Important Upgrade to 6.1.7-15284 or above.
DSM 5.2 Important Upgrade to 6.1.7-15284 or above.
SkyNAS[1] Important Please manually download and install version 6.1.7-15284.
VS960HD Important Will not fix.

[1] Perform Manual DSM Update

Mitigation

None

Detail

  • CVE-2018-13280
    • Severity: Important
    • CVSS3 Base Score: 7.4
    • CVSS3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
    • Use of insufficiently random values vulnerability in SYNO.Encryption.GenRandomKey in Synology DiskStation Manager (DSM) before 6.2-23739 allows man-in-the-middle attackers to compromise non-HTTPS sessions via unspecified vectors.

Acknowledgement

Alex Weber (www.broot.ca)

Revision

Revision Date Description
1 2018-07-30 Initial public release.
2 2018-07-30 Disclosed vulnerability details.
3 2019-01-22 Update for SkyNAS is now available in Affected Products.